package org.eclipse.jdt.internal.compiler.impl;

import org.eclipse.jdt.internal.compiler.ast.CompilationUnitDeclaration;
import org.eclipse.jdt.internal.compiler.CompilationResult;
import org.eclipse.jdt.core.compiler.CategorizedProblem;

public interface ReferenceContext
{
    public abstract void abort(int p0, CategorizedProblem p1);
    
    public abstract CompilationResult compilationResult();
    
    public abstract CompilationUnitDeclaration getCompilationUnitDeclaration();
    
    public abstract boolean hasErrors();
    
    public abstract void tagAsHavingErrors();
    
    public abstract void tagAsHavingIgnoredMandatoryErrors(int p0);
}
